Subject: Re: bug#50758: 28.0.50; tramp-theme makes the default face's foreground red on emacs@28

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 26 Aug 2022 14:45:14 +0200

Rudi C <[email-masked]> writes:

> After further attempts to pinpoint the cause of this bug, I have found
> that tramp-theme changes the current theme of emacs. (I had a testing
> variant of my main theme that had red foreground, and this was the
> reason I did not notice this before.) This behavior also happens with
> https://github.com/vic/color-theme-buffer-local , so I guess something
> about face remapping has gone awry in emacs@28.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Are you still seeing these issues in the current Emacs?  If so, do you
have a complete recipe, starting from "emacs -Q", that reproduces the
problem?